Package org.optaplanner.swing.impl

## Class TangoColorFactory

- java.lang.Object
- - org.optaplanner.swing.impl.TangoColorFactory

-     public class TangoColorFactory
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Color` | `ALUMINIUM_1` |
    `static Color` | `ALUMINIUM_2` |
    `static Color` | `ALUMINIUM_3` |
    `static Color` | `ALUMINIUM_4` |
    `static Color` | `ALUMINIUM_5` |
    `static Color` | `ALUMINIUM_6` |
    `static Color` | `BUTTER_1` |
    `static Color` | `BUTTER_2` |
    `static Color` | `BUTTER_3` |
    `static Color` | `CHAMELEON_1` |
    `static Color` | `CHAMELEON_2` |
    `static Color` | `CHAMELEON_3` |
    `static Color` | `CHOCOLATE_1` |
    `static Color` | `CHOCOLATE_2` |
    `static Color` | `CHOCOLATE_3` |
    `static Stroke` | `DASHED_STROKE` |
    `static Stroke` | `FAT_DASHED_STROKE` |
    `static Stroke` | `LIGHT_DASHED_STROKE` |
    `static Color` | `MAGENTA` |
    `static Stroke` | `NORMAL_STROKE` |
    `static Color` | `ORANGE_1` |
    `static Color` | `ORANGE_2` |
    `static Color` | `ORANGE_3` |
    `static Color` | `PLUM_1` |
    `static Color` | `PLUM_2` |
    `static Color` | `PLUM_3` |
    `static Color` | `SCARLET_1` |
    `static Color` | `SCARLET_2` |
    `static Color` | `SCARLET_3` |
    `static List<Color>` | `SEQUENCE_1` |
    `static List<Color>` | `SEQUENCE_2` |
    `static List<Color>` | `SEQUENCE_3` |
    `static Color` | `SKY_BLUE_1` |
    `static Color` | `SKY_BLUE_2` |
    `static Color` | `SKY_BLUE_3` |
    `static Stroke` | `THICK_STROKE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TangoColorFactory()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Color` | `buildPercentageColor​(Color floorColor, Color ceilColor, double shadePercentage)` |
    `Color` | `pickColor​(Object object)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CHAMELEON_1

          public static final Color CHAMELEON_1

    - #### CHAMELEON_2

          public static final Color CHAMELEON_2

    - #### CHAMELEON_3

          public static final Color CHAMELEON_3

    - #### BUTTER_1

          public static final Color BUTTER_1

    - #### BUTTER_2

          public static final Color BUTTER_2

    - #### BUTTER_3

          public static final Color BUTTER_3

    - #### SKY_BLUE_1

          public static final Color SKY_BLUE_1

    - #### SKY_BLUE_2

          public static final Color SKY_BLUE_2

    - #### SKY_BLUE_3

          public static final Color SKY_BLUE_3

    - #### CHOCOLATE_1

          public static final Color CHOCOLATE_1

    - #### CHOCOLATE_2

          public static final Color CHOCOLATE_2

    - #### CHOCOLATE_3

          public static final Color CHOCOLATE_3

    - #### MAGENTA

          public static final Color MAGENTA

    - #### PLUM_1

          public static final Color PLUM_1

    - #### PLUM_2

          public static final Color PLUM_2

    - #### PLUM_3

          public static final Color PLUM_3

    - #### SCARLET_1

          public static final Color SCARLET_1

    - #### SCARLET_2

          public static final Color SCARLET_2

    - #### SCARLET_3

          public static final Color SCARLET_3

    - #### ORANGE_1

          public static final Color ORANGE_1

    - #### ORANGE_2

          public static final Color ORANGE_2

    - #### ORANGE_3

          public static final Color ORANGE_3

    - #### ALUMINIUM_1

          public static final Color ALUMINIUM_1

    - #### ALUMINIUM_2

          public static final Color ALUMINIUM_2

    - #### ALUMINIUM_3

          public static final Color ALUMINIUM_3

    - #### ALUMINIUM_4

          public static final Color ALUMINIUM_4

    - #### ALUMINIUM_5

          public static final Color ALUMINIUM_5

    - #### ALUMINIUM_6

          public static final Color ALUMINIUM_6

    - #### SEQUENCE_1

          public static final List<Color> SEQUENCE_1

    - #### SEQUENCE_2

          public static final List<Color> SEQUENCE_2

    - #### SEQUENCE_3

          public static final List<Color> SEQUENCE_3

    - #### THICK_STROKE

          public static final Stroke THICK_STROKE

    - #### NORMAL_STROKE

          public static final Stroke NORMAL_STROKE

    - #### FAT_DASHED_STROKE

          public static final Stroke FAT_DASHED_STROKE

    - #### DASHED_STROKE

          public static final Stroke DASHED_STROKE

    - #### LIGHT_DASHED_STROKE

          public static final Stroke LIGHT_DASHED_STROKE

  - ### Constructor Detail

    - #### TangoColorFactory

          public TangoColorFactory()

  - ### Method Detail

    - #### buildPercentageColor

          public static Color buildPercentageColor​(Color floorColor,
                                                   Color ceilColor,
                                                   double shadePercentage)

    - #### pickColor

          public Color pickColor​(Object object)